summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorFelipe Sateler <fsateler@debian.org>2019-02-03 17:32:41 -0300
committerFelipe Sateler <fsateler@debian.org>2019-02-03 17:32:41 -0300
commit2e218703225835565700bce3f1d06349b21e9d20 (patch)
tree3a4028ff4ead55538163bb680d75fb5481c98b59 /ci
parent40001c93497d8a7ddd4b33e31e0ed21f2694635b (diff)
New upstream version 4+20190203
Diffstat (limited to 'ci')
-rwxr-xr-xci/semaphore.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/ci/semaphore.sh b/ci/semaphore.sh
new file mode 100755
index 0000000..759b908
--- /dev/null
+++ b/ci/semaphore.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -ex
+
+sudo add-apt-repository --yes ppa:jonathonf/python-3.6
+sudo apt --yes update
+sudo apt --yes install python3.6 debootstrap systemd-container squashfs-tools
+
+sudo python3.6 ./mkosi --default ./mkosi.files/mkosi.ubuntu
+
+test -f ubuntu.raw